# Glacier2::PermissionsVerifier

## Overview

### interface PermissionsVerifier

The Glacier2 permissions verifier. This is called through the process of establishing a session.

#### See Also

Router

## Operations

### bool checkPermissions(string userId, string password, out string reason) throws PermissionDeniedException

Check whether a user has permission to access the router.

#### Parameters

userId
  The user id for which to check permission.
password
  The user's password.
reason
  The reason why access was denied.

#### Return Value

True if access is granted, or false otherwise.

#### Exceptions

PermissionDeniedException
  Raised if the user access is denied. This can be raised in place of returning false with a reason set in the reason out parameter.